swagger: '2.0'
info:
  description: Configuration for Af report for ICA Session InActive resource.
  version: 'v2'
  title: ica_session_inactive
host: 'adm.cloud.com'
schemes:
 - https
# tags are used for organizing operations
tags:
  - name: ica_session_inactive
    description: Af report for ICA Session InActive
consumes:
  - application/json
produces:
  - application/json
securityDefinitions:
  UserSecurity:
    type: basic
security:
  - UserSecurity: []
parameters:
  authParam:
      in: header
      name: Authorization
      type: string
      required: true
      description: Session Id for authentication.Should be mentioned in the format CwsAuth bearer=sessionIdValue
  cloudParam:
      in: header
      name: isCloud
      type: string
      required: true
      description: set the value to true in case of Cloud services, false for on-prem deployment
paths:
  /massvc/{customerid}/nitro/v2/config/ica_session_inactive:
    get:
      tags:
        - ica_session_inactive
      summary: GET all ica_session_inactive
      operationId: getall_ica_session_inactive
      description: Af Report for ICA User.
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - in: path
          name: customerid
          type: string
          required: true
          description: Customer Id of the user
        - in: header
          name: Authorization
          type: string
          required: true
          description: Session Id for authentication.Should be mentioned in the format CwsAuth bearer=sessionIdValue
        - in: header
          name: isCloud
          type: string
          required: true
          description: set the value to true in case of Cloud services, false for on-prem deployment
        - in: query
          name: filter
          type: string
          required: false
          description: "Use this query-parameter to get the filtered set of vm_device resources configured on the system. You can set a filter on any property of the resource.Example:  property-name1:property-value1 "
        - in: query
          name: args
          type: string
          required: false
          description: "Use this query-parameter to specify arguments.Example:  property-name1:property-value1 "
        - in: query
          name: duration
          type: string
          required: true
          description: "Duration "
          enum:
            - last_1_hour
            - last_1_day
            - last_1_week
            - last_1_month
        - in: query
          name: cr_enabled
          type: string
          required: false
          description: Use this query-parameter to indicate cr is enabled or not
          enum:
            - 0
            - 1
        - in: query
          name: report_start_time
          type: string
          required: false
          description: Use this query-parameter to specify the start time from which the summary for report is considered
        - in: query
          name: report_end_time
          type: string
          required: false
          description: Use this query-parameter to specify the end time until where summary for report is considered
        - in: query
          name: asc
          type: string
          required: false
          description: Use this query-parameter to specify whether the results should be in ascending order or not
          enum:
            - yes
            - no
        - in: query
          name: sla_enabled
          type: string
          required: false
          description: Use this query-parameter to indicate sla is enabled or not
          enum:
            - 0
            - 1
        - in: query
          name: order_by
          type: string
          required: false
          description: Use this query-parameter to get the result that is ordered by the given property
          enum:
            - session_setup_time
            - bandwidth
        - in: query
          name: type
          type: string
          required: false
          description: Use this query-parameter to specify the type
          enum:
            - session_setup_time
            - bandwidth
        - in: query
          name: pagesize
          type: integer
          required: false
          description: Use this query-parameter to get the ica_session_inactive resources in chunks.To be used along with pageno query parameter.
        - in: query
          name: pageno
          type: integer
          required: false
          description: Use this query-parameter to get the ica_session_inactive resources in chunks.To be used along with pagesize query parameter.
        - in: query
          name: count
          type: string
          required: false
          description: Use this query-parameter to get the count of ica_session_inactive resources.
          enum:
            - yes
      responses:
        200:
          description:  for ica_session_inactive
          schema: 
              $ref: '#/definitions/getica_session_inactivesResponse'
        400:
          description: Bad input parameter
          schema: 
              $ref: '#/definitions/Error'
        401:
          description: Failed Authentication
          schema: 
              $ref: '#/definitions/Error'
        403:
          description: Unauthorized
          schema: 
              $ref: '#/definitions/Error'
        404:
          description: Item not found
          schema: 
              $ref: '#/definitions/Error'
        409:
          description: Resource Conflict
          schema: 
              $ref: '#/definitions/Error'
        500:
          description: Server Error
          schema: 
              $ref: '#/definitions/Error'
        504:
          description: Gateway Timeout
          schema: 
              $ref: '#/definitions/Error'

definitions:
  getica_session_inactiveResponse:
    type: object
    required:
      - ica_session_inactive
    properties:
      ica_session_inactive:
        $ref: '#/definitions/ica_session_inactive'
    title: getica_session_inactiveResponse
    example:
      ica_session_inactive:
        serverside_packet_retransmits: "1"
        user_type: "1"
        is_msi: "1"
        count_usb_rejected: "1"
        ip_block_name: "ip_block_name"
        launch_duration: "10"
        latitude: "12.9716"
        l7_threshold_configure_value: "1"
        longitude: "77.5946"
        region_code: "KA"
        host_delay: "1"
        region: "Karnataka"
        total_bytes: "5033.2"
        client_ip_address: "1.1.1.1"
        pn_agent_version: "1"
        client_latency: "10"
        client_hostname: "MyDesktop"
        count_usb_accepted: "1"
        usb_status: "1"
        client_side_ns_delay: "1"
        server_side_ns_delay: "1"
        application_enumeration_duration: "10"
        session_reconnect: "1"
        serverside_rto: "1"
        l7_threshold_max_server_breach: "1"
        duration_summary_bandwidth: "212"
        country: "India"
        clientside_packet_retransmits: "1"
        server_ip_address: "1.1.1.1"
        count_usb_stopped: "1"
        rpt_sample_time: "1032134322"
        clientside_0_win: "1"
        bandwidth: "10"
        session_setup_time: "1454322345"
        clientside_rto: "1"
        ica_app_name: "test_app"
        session_rtt: "10"
        client_version: "11.1"
        clientside_cb: "1"
        ica_user_name: "test_user"
        __count: "10"
        country_code: "IN"
        l7_threshold_breach_count: "1"
        state: "UP"
        euem: "1"
        client_type: "1"
        l7_clientside_latency: "1"
        device_type: "1"
        server_jitter: "10"
        session_terminate_time_local: "1453345543"
        client_jitter: "10"
        id: "00000000-0000-375c-0000-000400000004"
        serverside_0_win: "1"
        server_latency: "10"
        serverside_cb: "1"
        l7_threshold_max_client_breach: "1"
        session_type: "1"
        l7_threshold_avg_client_breach: "1"
        acr_count: "1"
        sr_reconnect_count: "1"
        ha_failover_count: "1"
        selected_time_total_byte: "5034.12"
        l7_monitoring_supported: "1"
        client_srtt: "10"
        l7_threshold_avg_server_breach: "1"
        edt_type: "1"
        ica_device_ip_address: "1.1.1.1"
        city: "Bangalore"
        receiver_version: "10.1.1"
        up_time: "1022"
        client_tx_bytes: "103.2"
        terminated_reason: "Session is terminated by User"
        client_rx_bytes: "10"
        server_srtt: "10"
        session_end_time: "1543324564"
        l7_serverside_latency: "1"

  getica_session_inactivesResponse:
    type: object
    required:
      - ica_session_inactive
    properties:
      ica_session_inactive:
        type: array
        items:
          $ref: '#/definitions/ica_session_inactive'
    title: getica_session_inactivesResponse
    example:
      ica_session_inactive:
        serverside_packet_retransmits: "1"
        user_type: "1"
        is_msi: "1"
        count_usb_rejected: "1"
        ip_block_name: "ip_block_name"
        launch_duration: "10"
        latitude: "12.9716"
        l7_threshold_configure_value: "1"
        longitude: "77.5946"
        region_code: "KA"
        host_delay: "1"
        region: "Karnataka"
        total_bytes: "5033.2"
        client_ip_address: "1.1.1.1"
        pn_agent_version: "1"
        client_latency: "10"
        client_hostname: "MyDesktop"
        count_usb_accepted: "1"
        usb_status: "1"
        client_side_ns_delay: "1"
        server_side_ns_delay: "1"
        application_enumeration_duration: "10"
        session_reconnect: "1"
        serverside_rto: "1"
        l7_threshold_max_server_breach: "1"
        duration_summary_bandwidth: "212"
        country: "India"
        clientside_packet_retransmits: "1"
        server_ip_address: "1.1.1.1"
        count_usb_stopped: "1"
        rpt_sample_time: "1032134322"
        clientside_0_win: "1"
        bandwidth: "10"
        session_setup_time: "1454322345"
        clientside_rto: "1"
        ica_app_name: "test_app"
        session_rtt: "10"
        client_version: "11.1"
        clientside_cb: "1"
        ica_user_name: "test_user"
        __count: "10"
        country_code: "IN"
        l7_threshold_breach_count: "1"
        state: "UP"
        euem: "1"
        client_type: "1"
        l7_clientside_latency: "1"
        device_type: "1"
        server_jitter: "10"
        session_terminate_time_local: "1453345543"
        client_jitter: "10"
        id: "00000000-0000-375c-0000-000400000004"
        serverside_0_win: "1"
        server_latency: "10"
        serverside_cb: "1"
        l7_threshold_max_client_breach: "1"
        session_type: "1"
        l7_threshold_avg_client_breach: "1"
        acr_count: "1"
        sr_reconnect_count: "1"
        ha_failover_count: "1"
        selected_time_total_byte: "5034.12"
        l7_monitoring_supported: "1"
        client_srtt: "10"
        l7_threshold_avg_server_breach: "1"
        edt_type: "1"
        ica_device_ip_address: "1.1.1.1"
        city: "Bangalore"
        receiver_version: "10.1.1"
        up_time: "1022"
        client_tx_bytes: "103.2"
        terminated_reason: "Session is terminated by User"
        client_rx_bytes: "10"
        server_srtt: "10"
        session_end_time: "1543324564"
        l7_serverside_latency: "1"

  ica_session_inactive_readwrite:
    type: object
    properties:
      serverside_packet_retransmits:
        description: "Server side packet retransmits."
        type: number
        format: double
      user_type:
        description: "User Access Type"
        type: string
        format: string
        minLength: 1
        maxLength: 128
      is_msi:
        description: "If Session is MSI or not"
        type: number
        format: double
      count_usb_rejected:
        description: "No. of times USB Rejected"
        type: number
        format: double
      ip_block_name:
        description: "ip_block_name"
        type: string
        format: string
      launch_duration:
        description: "ica session launch duration."
        type: number
        format: double
      latitude:
        description: "latitude"
        type: number
        format: double
      l7_threshold_configure_value:
        description: "L7 Threshold value"
        type: number
        format: double
      longitude:
        description: "longitude"
        type: number
        format: double
      region_code:
        description: "region_code"
        type: string
        format: string
      host_delay:
        description: "Server induced delay."
        type: number
        format: double
      region:
        description: "region"
        type: string
        format: string
      total_bytes:
        description: "Total bytes accounted by this URL in sampled timeframe."
        type: number
        format: double
      pn_agent_version:
        description: "Name of ICA session pn agent version"
        type: string
        format: string
        minLength: 1
        maxLength: 128
      client_latency:
        description: "ica session client latency."
        type: number
        format: double
      client_hostname:
        description: "city"
        type: string
        format: string
        maxLength: 255
      count_usb_accepted:
        description: "No. of times USB Accepted"
        type: number
        format: double
      usb_status:
        description: "USB Redirection Status"
        type: number
        format: double
      client_side_ns_delay:
        description: "Clinet to Server NetScaler delay."
        type: number
        format: double
      server_side_ns_delay:
        description: "Server to Client NetScaler delay."
        type: number
        format: double
      application_enumeration_duration:
        description: "Time taken for app enumeration to launch."
        type: number
        format: double
      session_reconnect:
        description: "Session reconnect."
        type: number
        format: double
      serverside_rto:
        description: "serverside rto."
        type: number
        format: double
      l7_threshold_max_server_breach:
        description: "L7 Threshold MAX Server Breach Value"
        type: number
        format: double
      duration_summary_bandwidth:
        description: "Avg Bandwidth for duration summary."
        type: number
        format: double
      country:
        description: "country"
        type: string
        format: string
      clientside_packet_retransmits:
        description: "Client side packet retransmits."
        type: number
        format: double
      count_usb_stopped:
        description: "No. of times USB Stopped"
        type: number
        format: double
      rpt_sample_time:
        description: "Report Sample time."
        type: number
        format: double
      clientside_0_win:
        description: "Client side 0 window count."
        type: number
        format: double
      bandwidth:
        description: "Avg Bandwidth."
        type: number
        format: double
      session_setup_time:
        description: "ICA Session setup time."
        type: number
        format: double
      clientside_rto:
        description: "clientside rto."
        type: number
        format: double
      session_rtt:
        description: "ICA Session rtt."
        type: number
        format: double
      client_version:
        description: "Client Version"
        type: string
        format: string
        maxLength: 1024
      clientside_cb:
        description: "clientside cb"
        type: number
        format: double
      __count:
        description: "count."
        type: number
        format: double
      country_code:
        description: "country_code"
        type: string
        format: string
      l7_threshold_breach_count:
        description: "L7 Threshold Breach Count Value"
        type: number
        format: double
      state:
        description: "ICA Session state."
        type: string
        format: string
      euem:
        description: "EUEM."
        type: number
        format: double
      client_type:
        description: "Client Type"
        type: string
        format: string
        minLength: 1
        maxLength: 128
      l7_clientside_latency:
        description: "L7 clientside latency"
        type: number
        format: double
      device_type:
        description: "Device Type."
        type: string
        format: string
      server_jitter:
        description: "ICA User server jitter."
        type: number
        format: double
      session_terminate_time_local:
        description: "Session Terminated Local time"
        type: number
        format: double
      client_jitter:
        description: "ICA User client jitter."
        type: number
        format: double
      id:
        description: "Id is ICA Session ID"
        type: string
        format: uuid
        minLength: 1
        maxLength: 64
      serverside_0_win:
        description: "server side 0 window count."
        type: number
        format: double
      server_latency:
        description: "ica session server latency."
        type: number
        format: double
      serverside_cb:
        description: "serverside cb"
        type: number
        format: double
      l7_threshold_max_client_breach:
        description: "L7 Threshold MAX Client Breach Value"
        type: number
        format: double
      session_type:
        description: "Session Type"
        type: number
        format: double
      l7_threshold_avg_client_breach:
        description: "L7 Threshold AVG Client Breach Value"
        type: number
        format: double
      acr_count:
        description: "ACR reconnects"
        type: number
        format: double
      sr_reconnect_count:
        description: "SR reconnects"
        type: number
        format: double
      ha_failover_count:
        description: "ha_failover_count"
        type: number
        format: double
      selected_time_total_byte:
        description: "Total bytes accounted by this URL in sampled timeframe."
        type: number
        format: double
      l7_monitoring_supported:
        description: "L7 monitoring Supported or not"
        type: number
        format: double
      client_srtt:
        description: "client Smothen RTT."
        type: number
        format: double
      l7_threshold_avg_server_breach:
        description: "L7 Threshold AVG Server Breach Value"
        type: number
        format: double
      edt_type:
        description: "edt_type"
        type: string
        format: string
      city:
        description: "city"
        type: string
        format: string
      receiver_version:
        description: "Name of ICA session receiver version"
        type: string
        format: string
        minLength: 1
        maxLength: 128
      up_time:
        description: "ica session up time."
        type: number
        format: double
      client_tx_bytes:
        description: "Client Side Tx bytes."
        type: number
        format: double
      terminated_reason:
        description: "Terminated Reason"
        type: string
        format: string
        maxLength: 1024
      client_rx_bytes:
        description: "Client Side Rx bytes."
        type: number
        format: double
      server_srtt:
        description: "server Smothen RTT."
        type: number
        format: double
      session_end_time:
        description: "ICA Session end time."
        type: number
        format: double
      l7_serverside_latency:
        description: "L7 serverside latency"
        type: number
        format: double

  ica_session_inactive:
    allOf:
      - $ref: '#/definitions/ica_session_inactive_readwrite'

  Error:
    properties:
      errorcode:
        type: number
        format: int32
        example: 1001
      errormessage:
        type: string
        format: string
        example: "id cannot be found"
